﻿package edu.mit.cellphone
{
	import flash.display.*;
	import flash.text.TextField;
	import flash.events.MouseEvent;
	import fl.transitions.Tween;
	import fl.transitions.easing.*;
	
	public class PhoneScreen extends MovieClip
	{			
		public function PhoneScreen()
		{
			initText();
			
			picture.visible = false;
			okButton.addEventListener(MouseEvent.CLICK, onOk);
		}
		
		private function initText():void
		{
			titleField.text = "MITphone";
			bodyField.text = "Who ya gonna call?";
		}
		
		private function onOk(event:MouseEvent):void
		{
			trace("OK pressed");
			var phoneRegex:RegExp = /^\d{3}-\d{3}-\d{4}$/;
			if (inputField.text.match(phoneRegex))
			{
				bodyField.text = inputField.text;
				// "x", "y", "alpha"
				var workingTween:Tween = new Tween(workingIndicator, "rotation", None.easeNone, 0, 360*4, 4, true);
				var alphaTween:Tween = new Tween(workingIndicator, "alpha", None.easeNone, 1, 0, 4, true);
				picture.visible = true;
			}
		}
	}
}